com.corticon.rulesemf.ast

## Interface UnaryExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface UnaryExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Unary Expression'.

  The following features are supported:

  - `Type`
  - `Postfix Expression`
  - `Unary Operator`
  See Also:
    `AstPackage.getUnaryExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PostfixExpression` | `getPostfixExpression()` Returns the value of the 'Postfix Expression' containment reference
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute
    `UnaryOperator` | `getUnaryOperator()` Returns the value of the 'Unary Operator' containment reference
    `void` | `setPostfixExpression(PostfixExpression value)` Sets the value of the '`Postfix Expression`' containment reference
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute
    `void` | `setUnaryOperator(UnaryOperator value)` Sets the value of the '`Unary Operator`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `AstPackage.getUnaryExpression_Type()`

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`

    - #### getPostfixExpression

          PostfixExpression getPostfixExpression()

      Returns the value of the 'Postfix Expression' containment reference.

      If the meaning of the 'Postfix Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Postfix Expression' containment reference.
      See Also:
        `setPostfixExpression(PostfixExpression)`, `AstPackage.getUnaryExpression_PostfixExpression()`

    - #### setPostfixExpression

          void setPostfixExpression(PostfixExpression value)

      Sets the value of the '`Postfix Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Postfix Expression' containment reference.
      See Also:
        `getPostfixExpression()`

    - #### getUnaryOperator

          UnaryOperator getUnaryOperator()

      Returns the value of the 'Unary Operator' containment reference.

      If the meaning of the 'Unary Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Unary Operator' containment reference.
      See Also:
        `setUnaryOperator(UnaryOperator)`, `AstPackage.getUnaryExpression_UnaryOperator()`

    - #### setUnaryOperator

          void setUnaryOperator(UnaryOperator value)

      Sets the value of the '`Unary Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Unary Operator' containment reference.
      See Also:
        `getUnaryOperator()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.